#
# spec file for package yast2-agent-rcconfig (Version 2.4.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel tcl ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-rcconfig
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Summary:      YaST2-SCR: rc.config agent (for developers only)
Version:      2.4.16
Release:      1
Source0:	yast2-agent-rcconfig-2.4.16.tar.bz2

%description
This package contains the rc.config interface of the YaST2-SCR
system and is only needed by YaST2 developers.

SuSE series: yast

%package devel
Version:      2.4.16
Release:      1
Summary:      YaST2-SCR: rc.config agent (for developers only)
Group:		Development/Libraries
Provides:	y2a_rcnf
Obsoletes:	y2a_rcnf

%description devel
This package contains the rc.config interface of the YaST2-SCR
system and is only needed by YaST2 developers.

SuSE series: yast

%prep
%setup -n yast2-agent-rcconfig-2.4.16

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_rcconfig.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_rcconfig.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_rcconfig.so
/usr/lib/YaST2/plugin/libpy2ag_rcconfig.la
%dir /usr/share/doc/packages/yast2-agent-rcconfig
/usr/share/doc/packages/yast2-agent-rcconfig/*

%changelog -n yast2-agent-rcconfig
* Wed Oct 10 2001 - msvec@suse.cz
- fixed rare hardly reproducible crashes (bugzilla #11346)
- 2.4.16
* Mon Sep 24 2001 - mike@suse.de
- deleted firewall
  added firewall2
* Thu Sep 20 2001 - kkaempf@suse.de
- added rc_smartups (10599).
* Fri Sep 14 2001 - kkaempf@suse.de
- added rc_slcs for slcs.rc.config.
* Wed Aug 29 2001 - arvin@suse.de
- removed obsolete targetroot handling
* Wed Aug 22 2001 - kukuk@suse.de
- Add nsswitch_conf.scr and ldap_conf.scr for LDAP and NIS+ config
  modules
* Wed Aug 22 2001 - kendy@suse.cz
- Lots of functionality moved from RcFile to RcAgent
  (to be prepared for INI-agent, which will use RcFile)
- v. 2.4.12
* Tue Aug 21 2001 - kendy@suse.cz
- Files that do not have quoted values can be read and written
- The variable names can be case insensitive and can be
  written with uppercase or lowercase.
- v. 2.4.11
* Thu Aug 16 2001 - kendy@suse.cz
- Do not write rc-file, if there was no Write() to any of the
  rc-file's variable.
- Testsuite updated to reflect it (and test this behaviour).
- v. 2.4.10
* Mon Aug 13 2001 - mvidner@suse.cz
- Moved specialized agents to yast2-config-nis-server. (2.4.9)
* Thu Aug 09 2001 - kkaempf@suse.de
- it's "/etc/rc.config.d/lang.rc.config"
* Thu Aug 09 2001 - arvin@suse.de
- fixed call of readconf
* Wed Aug 08 2001 - kkaempf@suse.de
- add configuration for /etc/rc.d/lang.rc.config
* Thu Jul 26 2001 - kendy@suse.cz
- Added comments to the heads of some of the files.
* Wed Jul 25 2001 - kkaempf@suse.de
- check existance of agent in destructor
* Thu Jul 19 2001 - kendy@suse.cz
- More testsuites.
- Fixed bug #9262
* Thu Jul 19 2001 - kendy@suse.cz
- Added first testsuite
* Wed Jul 04 2001 - kkaempf@suse.de
- better range checking for string operations
* Mon Jul 02 2001 - kkaempf@suse.de
- test stream write for failure after write
- close stream before returning on error
* Fri Jun 29 2001 - arvin@suse.de
- fix to compile with gcc 3.0
- adapt to new automake/autoconf
* Tue Apr 24 2001 - dan@suse.cz
- scr file list updated
* Wed Apr 18 2001 - kkaempf@suse.de
- looks like stat() can't handle "//" in filenames
* Fri Apr 06 2001 - kkaempf@suse.de
- move "rc_registration.scr" to support module
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install libs, only plugin is needed
* Thu Mar 15 2001 - arvin@suse.de
- moved documentation to packages/yast2-agent-rcconfig
* Wed Mar 14 2001 - kendy@suse.cz
- The name changed (y2a_rcnf -> yast2-agent-rcconfig)
- Use of the RPM_OPT_FLAGS
- The documentation has been updated
- The autogenerated documentation has been added
- scrconf for firewall, apache and plip was added, for usb removed
* Sat Jan 27 2001 - arvin@suse.de
- package split y2a_rcnf / y2a_rcnf-devel
* Fri Dec 15 2000 - kendy@suse.cz
- More descriptive error messages (report path)
* Fri Dec 01 2000 - kkaempf@suse.de
- add rc_security.scr to access /etc/rc.config.d/security.rc.config
* Wed Nov 29 2000 - kkaempf@suse.de
- respect Y2_TARGET_ROOT for path
* Tue Nov 28 2000 - kkaempf@suse.de
- support registration data
* Thu Nov 16 2000 - kkaempf@suse.de
- provide shared libs for dynamic plugins
* Mon Nov 13 2000 - kkaempf@suse.de
- comply to changed C++ standards (typedef public)
* Thu Nov 09 2000 - kkaempf@suse.de
- static plugin only
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Thu Oct 05 2000 - kkaempf@suse.de
- initial version (from y2scr/ag_rcagent)
